Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Aufziehfenster wie BKS einrichten

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Aufziehfenster wie BKS einrichten (2247 mal gelesen)
David Galvagno
Mitglied



Sehen Sie sich das Profil von David Galvagno an!   Senden Sie eine Private Message an David Galvagno  Schreiben Sie einen Gästebucheintrag für David Galvagno

Beiträge: 148
Registriert: 10.12.2002

Windows 2000 Prof
Autocad 2000i
Prostahl3d-V16.1
HP Deskjet 1220C

erstellt am: 30. Mai. 2003 18:31    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

wenn ich das Fadenkreuz an ein Objekt ausrichte erscheint dieses in der gewünschten Neigung. Wenn ich nun einen Bereich mit einem Rechteck markieren will, ist das wählbare Fenster nicht in der Neigung des Fadenkreuzes, sondern "wie im Weltkoordinatensystem" (oder anders gesagt: rechtwinklig zur Bildschirmfläche). Dies ist etwas mühsam, wenn ich in der Schräge mehrere Objekte markieren will und dabei immer wieder abgetreppt mehrere Rechteckte wählen muss.

Deshalb nun: wie kann ich den wählbaren Rahmen an die BKS-Neigung anpassen ? Gibt es dazu eine Systemvariabel ?
Ich freue mich auf jede Mitteilung. Besten Dank.

------------------
Gruss David

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Kramer24
Ehrenmitglied V.I.P. h.c.
Architekt


Sehen Sie sich das Profil von Kramer24 an!   Senden Sie eine Private Message an Kramer24  Schreiben Sie einen Gästebucheintrag für Kramer24

Beiträge: 5803
Registriert: 09.11.2001

erstellt am: 30. Mai. 2003 18:40    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für David Galvagno 10 Unities + Antwort hilfreich

Hallo David,
Du mußt die Draufsicht ("drsicht") aktualisieren. Dann dreht sich die "Arbeitsfläche". Dass sich dass Rechteck-Auswahlfenster drehen ließe, wäre mir neu...
Lothar

------------------
"Stellt Euch vor, es geht, und keiner kriegt's hin." (Neuss)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

marc.scherer
Ehrenmitglied V.I.P. h.c.
CAD-Administrator



Sehen Sie sich das Profil von marc.scherer an!   Senden Sie eine Private Message an marc.scherer  Schreiben Sie einen Gästebucheintrag für marc.scherer

Beiträge: 2484
Registriert: 02.11.2001

Windows 10 64bit
AutoCAD Architecture 2018/2019 (deu/eng)
AEC-Collection 2019 (Revit und Zeugs)
Wenn sich's nicht vermeiden läßt:
D-A-CH Erweiterung (mies implementierter Schrott)

erstellt am: 30. Mai. 2003 19:45    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für David Galvagno 10 Unities + Antwort hilfreich

Hi David,
versuch's doch mal mit der Objektwahlmethode "_wp" oder "_cp"...
Gibt ja noch mahr als nur Fensterwahl.
Ciao,
Marc

------------------
Ciao,
Marc

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

StephanJP
Mitglied
CAD-Admin


Sehen Sie sich das Profil von StephanJP an!   Senden Sie eine Private Message an StephanJP  Schreiben Sie einen Gästebucheintrag für StephanJP

Beiträge: 797
Registriert: 09.11.2000

AutoCAD ,MAP 3D, Civil 3D, P&ID, VehicleTracking alles bis 2020, WS-Plateia, BBSoft, Win 10, Canon PlotClient
Canon IPF 605, 825

erstellt am: 31. Mai. 2003 09:09    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für David Galvagno 10 Unities + Antwort hilfreich

Hallo David,

wenn die Variable UCSFOLLOW auf 1 steht dreht ACAD ausser dem BKS auch die Ansicht nach dem Element. Dann ist auch dass Auswahlfenster in der Richtung.

------------------

gruß
Stephan

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

snoopyonline
Mitglied
Architekt


Sehen Sie sich das Profil von snoopyonline an!   Senden Sie eine Private Message an snoopyonline  Schreiben Sie einen Gästebucheintrag für snoopyonline

Beiträge: 192
Registriert: 17.05.2003

erstellt am: 31. Mai. 2003 09:44    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für David Galvagno 10 Unities + Antwort hilfreich

Ich weiß zwar nicht, ob dein Problem mit den vorherigen Beiträgen schon gelöst wurde und ob das, wie ich es mache eigentlich dasselbe ist wie eine der Varianten vorher, aber ich löse das immer so:

1. BKS aufs Objekt ausrichten: BKS OB (kennst du ja sicher schon)
2. Ansicht aufs BKS ausrichten: _PLAN A (A für "aktuelles BKS")
3. "schiefe" Objekte bearbeiten
4. Ansicht wieder auf "Welt": BKS W
5. BKS auf Welt: BKS W

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

David Galvagno
Mitglied



Sehen Sie sich das Profil von David Galvagno an!   Senden Sie eine Private Message an David Galvagno  Schreiben Sie einen Gästebucheintrag für David Galvagno

Beiträge: 148
Registriert: 10.12.2002

Windows 2000 Prof
Autocad 2000i
Prostahl3d-V16.1
HP Deskjet 1220C

erstellt am: 28. Aug. 2003 14:32    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

perfekt: funktioniert
mit Variable UCSFOLLOW auf 1 dreht ACAD ausser dem BKS auch die Ansicht nach dem Element

Herzlichen Dank auch den anderen für die vielen Tipps

------------------
Gruss David

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

AsSchu
Ehrenmitglied
Konstrukteur


Sehen Sie sich das Profil von AsSchu an!   Senden Sie eine Private Message an AsSchu  Schreiben Sie einen Gästebucheintrag für AsSchu

Beiträge: 1632
Registriert: 27.06.2003

ACAD 2012

erstellt am: 28. Aug. 2003 15:15    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für David Galvagno 10 Unities + Antwort hilfreich

Nachtrag:

ich benutze seit längerem u.a. lisp

Ist für das BKS-drehen nach Objekt einfach Klasse

;; -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
;; XPLAN
;;
;; Programm, daß die Befehlsfolge UCS mit <Object> zusammen mit PLAN <Current UCS> verknüpft
;; Dabei wird der aktuelle Planausschnitt nach 'PLAN' wieder hergestellt, sodaß man sich das
;; Zoomen nach 'plan' spart
;;
;; (c) Volker Kleppel / Beethovenstrasse 68 / 71640 Ludwigsburg / vkleppel@lycosmail.com
;;
;; Erstellt: 27.11.1998
;; Letzte Änderung: 27.11.1998
;;
;; System: AutoCAD 14--aufwärts
;; -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

;; Befehle:
;;
;; XPLAN        - Aufforderung ein Objekt zu wählen, wonach das BKS ausgerichtet wird. Danach wird die Ansicht
;;                nach dem BKS ausgerichtet, wobei der Zoom-Ausschnitt nicht geändert wird
;;
;; CustomViewUCS - Die Ansicht wird nach einem bereits gedrehten BKS ausgerichtet, wobei der Zoom-Ausschnitt nicht
;;                verändert wird


(defun c:xplan ( / dump vctr vsize ssize ucsx windowX windowY ratio p)

;Systemvariablen
(setq sys1 (getvar "CMDECHO"))
(setq vctr (trans (getvar "viewctr") 1 0))
(setq vsize (getvar "viewsize"))
(setq ssize (getvar "screensize"))
(setq ucsx (getvar "ucsXdir"))
(setq xperror *error)
(setq *error* xplan_error)

;Berechnungen
(setq ratio (/ (car ssize) (cadr ssize)))
(setq windowX (* vsize ratio))
(setq windowY vsize)

;Ausführung
(if (= (boole 1 1 (getvar "viewmode")) 0)
(progn
(initget 128 "Welt Objekt")
(setq answer (getkword "\nBKS ausrichten nach: Welt/<Objekt> "))
(if (or (= answer nil) (= answer "Objekt"))
(command "_ucs" "_object" pause)
(command "_ucs" "")
)

(if (equal ucsx (getvar "ucsXdir"))
(progn
(princ "\nDas gewählte Objekt hat kein gültiges UCS")
)
(progn
(initget 128 "Ja Nein")
(if (= (setq answer (getkword "\nSoll der Plan nach dem gegenwärtigen UCS ausgerichtet werden? Nein/<Ja> ")) nil) (setq answer "Ja"))
(if (= answer "Ja")
(progn
(command "_plan" "")
(setq dump (getvar "osmode"))
(setq p (trans vctr 0 1))
(setvar "osmode" 0)
(command "_zoom" "_window" (list (- (car p) (* windowX 0.5)) (- (cadr p) (* windowY 0.5))) (list (+ (car p) (* windowX 0.5)) (+ (cadr p) (* windowY 0.5))))
(setvar "osmode" dump)
)
)
)
)
)
(progn
(princ "\nXPLAN kann nicht innerhalb von Perspektiven angewendet werden")
)
)
(print)
)

(defun c:CustomViewUCS ( / dump vctr vsize ssize ucsx windowX windowY ratio p p1 p2)

;Systemvariablen
(setq sys1 (getvar "CMDECHO"))
(setq vctr (trans (getvar "viewctr") 1 0))
(setq vsize (getvar "viewsize"))
(setq ssize (getvar "screensize"))
(setq ucsx (getvar "ucsXdir"))
(setq xperror *error)
(setq *error* xplan_error)

;Berechnungen
(setq ratio (/ (car ssize) (cadr ssize)))
(setq windowX (* vsize ratio))
(setq windowY vsize)

;Ausführen
(command "_plan" "")
(setq dump (getvar "osmode"))
(setq p (trans vctr 0 1))
(setvar "osmode" 0)
(setq p1 (list (- (car p) (* windowX 0.5)) (- (cadr p) (* windowY 0.5))))
(setq p2 (list (+ (car p) (* windowX 0.5)) (+ (cadr p) (* windowY 0.5))))
(command "_zoom" "_window" p1 p2)
(setvar "osmode" dump)
;Ende
(print)
)

(defun xplan_error ()
(setq *error* xperror)
(setq xperror nil)
(princ "\nDas Element besitzt kein gültiges UCS oder das UCS ist bereits danach ausgerichtet")
(print)
)

------------------

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP



Hochbauingenieur/in (m/w/d) für Bauvergaben und Projektbegleitung von Großbaustellen

Unsere alte ?junge? Stadt wird verwöhnt von mildem Klima. Viel grüne Natur, ein vielfältiges Angebot aus Kultur, Gesundheit, Sport und Lebensart machen das Leben hier lebenswert. Für Familien gibt es ein breites Angebot an Kinderbetreuung und eine interessante Schullandschaft bis hin zu Hochschule und Universität.

Das Baureferat der STADT WÜRZBURG sucht für den Fachbereich Hochbau ...

Anzeige ansehenBauwesen
E-Boy
Ehrenmitglied V.I.P. h.c.
Elektroinstallateurmeister



Sehen Sie sich das Profil von E-Boy an!   Senden Sie eine Private Message an E-Boy  Schreiben Sie einen Gästebucheintrag für E-Boy

Beiträge: 2688
Registriert: 23.06.2005

Autocad MEP 2019
E-Tools
Win 10

erstellt am: 14. Jun. 2007 13:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für David Galvagno 10 Unities + Antwort hilfreich

Genial,

UCSFOLLOW 1,

und ich ärgere mich seit zwei Tagen mit den
schiefen Gebäuden und den geraden
Auswahlfenstern rum.
Der Suche sei Dank wieder ein Poblem gelöst.

------------------
Gruß Stefan

  Nur Feiglinge speichern zwischen.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz